# sf-notifier

Prometheus Alertmanager webhook receiver sending alert notification to Salesforce.

## Development

### Setup

Install Python dependencies:

```
$ virtualenv venv -p python3
$ source venv/bin/activate
(venv)$ source sf_notifier/vars/development
(venv)$ pip install --upgrade pip
(venv)$ pip install -e .
```

Add to `settings/development.py` credentials for your Salesforce customer (not engineering) account:

```
SF_CONFIG = {
    'AUTH_URL': 'xxx',
    'USERNAME': 'xxx',
    'PASSWORD': 'xxx',
    'ORGANIZATION_ID': 'xxx',
    'ENVIRONMENT_ID': 'xxx',
    'SANDBOX_ENABLED': True
}
```

You may also specify environment variables to override Python settings:

```
export SFDC_AUTH_URL="xxx"
export SFDC_USERNAME="xxx"
export SFDC_PASSWORD="xxx"
export SFDC_ORGANIZATION_ID="xxx"
export SFDC_ENVIRONMENT_ID="xxx"
export SFDC_SANDBOX_ENABLED=true
```

Run server:

```
(venv)$ uwsgi --http 127.0.0.1:5000 --wsgi-file sf_notifier/server.py --callable app_dispatch
```

Check in browser:

```
http://127.0.0.1:5000/metrics
```
